Skip to main content
PUT
/
api
/
integrations
/
webhooks
Update Webhook Settings
curl --request PUT \
  --url https://api.example.com/api/integrations/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "url": "<string>",
  "notify_on_complete": true,
  "notify_on_failure": true
}
'
{
  "enabled": false,
  "url": "<string>",
  "notify_on_complete": true,
  "notify_on_failure": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
enabled
boolean | null
url
string | null
notify_on_complete
boolean | null
notify_on_failure
boolean | null

Response

Successful Response

enabled
boolean
default:false
url
string | null
notify_on_complete
boolean
default:true
notify_on_failure
boolean
default:true